=== debian/changelog ===
odpi (5.0.1-0kali2) kali-dev; urgency=medium

  * Nitpicks in d/rules
  * Rewrite the one-liner to fix file mode bits
  * Drop dh-exec from Build-Depends
  * Bump standards version

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 21 May 2025 22:11:48 +0700

odpi (5.0.1-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * New upstream version 5.0.1
  * Add new dependency
  * Update debian directory for 5.0.1 release.

 -- Steev Klimaszewski <steev@kali.org>  Tue, 14 Nov 2023 15:06:04 -0600

odpi (3.1.1-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sophie Brun ]
  * Add missing sphindoc Depends

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Dec 2020 16:08:35 +0100

odpi (3.1.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Feb 2019 15:50:01 +0100
