=== debian/control ===
Source: odpi
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13), python3-sphinx, python3-sphinx-rtd-theme
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/oracle/odpi
Vcs-Browser: https://gitlab.com/kalilinux/packages/odpi
Vcs-Git: https://gitlab.com/kalilinux/packages/odpi.git

Package: libodpic-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libodpic5 (= ${binary:Version}), ${misc:Depends}
Suggests: libodpic-doc
Description: Oracle DB Programming Interface for Drivers and Applications (headers)
 This package contains Oracle Database Programming Interface for C (ODPI-C),
 an open source library of C code that simplifies access to Oracle Database for
 applications written in C or C++. It is a wrapper over Oracle Call Interface
 (OCI) that makes applications and language interfaces easier to develop.
 .
 ODPI-C supports basic and advanced features of Oracle Database and Oracle
 Client.
 .
 This package contains the headers.

Package: libodpic5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libodpic-doc
Description: Oracle DB Programming Interface for Drivers and Applications (lib)
 This package contains Oracle Database Programming Interface for C (ODPI-C),
 an open source library of C code that simplifies access to Oracle Database for
 applications written in C or C++. It is a wrapper over Oracle Call Interface
 (OCI) that makes applications and language interfaces easier to develop.
 .
 ODPI-C supports basic and advanced features of Oracle Database and Oracle
 Client.

Package: libodpic-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: Oracle DB Programming Interface for Drivers and Applications (doc)
 This package contains Oracle Database Programming Interface for C (ODPI-C),
 an open source library of C code that simplifies access to Oracle Database for
 applications written in C or C++. It is a wrapper over Oracle Call Interface
 (OCI) that makes applications and language interfaces easier to develop.
 .
 ODPI-C supports basic and advanced features of Oracle Database and Oracle
 Client.
 .
 This package contains the documentation.
