=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX = debian/tmp/usr

%:
	dh $@ --with sphinxdoc

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/src build/html

override_dh_installdocs:
	dh_installdocs -Xdoctrees

execute_before_dh_installexamples:
	find debian/tmp/usr/share/odpi/ -type f -exec chmod 0644 {} \;
