=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%odpi-$1.tar.gz%" \
   https://github.com/oracle/odpi/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
